Get all softwares
curl --request GET \
--url https://api.getprimo.com/software \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/software"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/software', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"autoUpdatePackage": true,
"autoInstallUpdate": true
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Softwares
Get all softwares
Return the list of softwares for your company with id, name, platform, source, installation type, and target method.
GET
/
software
Get all softwares
Key: Read
Scope: Company
Authorizations
Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Query Parameters
Page number
Required range:
1 <= x <= 9007199254740991Number of items per page (max 100)
Required range:
1 <= x <= 100Was this page helpful?
⌘I